
Infrastructure - Task #3545

Story # 3882 (Closed): Refactor hzNodes out of CN Node Registry

hzNodes expose unapproved Nodes

2013-02-01 18:31 - Robert Waltz

Status: Rejected Start date: 2013-02-01

Priority: Urgent Due date: 2013-03-16

Assignee: Robert Waltz % Done: 0%

Category: d1_cn_node_registry Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: CCI-1.4 Story Points:  

Product Version: *   

Description

hzNodes must be pulling from the wrong query to retrieve all the nodes instead of the nodelist only.

hzNodes will eventually go away in deference to a better change notification mechanism. But until then, change the code to pull only

approved nodes since it is messing up replication.

Use public api in replication.  Maybe use some caching as well so that you do not hit the endpoint continuously.

History

#1 - 2013-02-06 01:03 - Robert Waltz

It think this may be due to the fact that replication will get a node that is listed as an authoritative node or some other node id entry found in the

systememetadata.  The call to getNode on the hzNode map will retrieve any valid node id regardless of whether it is approved or not.  I created a

getApprovedNode for the HazelcastLdapStore.

#2 - 2013-02-06 17:37 - Robert Waltz

- Status changed from New to In Progress

#3 - 2013-02-06 19:01 - Robert Waltz

- Target version changed from 2013.4-Block.1.2 to 2013.6-Block.1.3

- Due date changed from 2013-02-02 to 2013-02-06

#4 - 2013-03-01 19:32 - Robert Waltz

- Description updated

- Due date changed from 2013-02-06 to 2013-03-16

- Milestone changed from CCI-1.1.1 to CCI-1.1.2

- Target version changed from 2013.6-Block.1.3 to 2013.10-Block.2.1

- Assignee changed from Robert Waltz to Chris Jones

#5 - 2013-08-02 17:25 - Robert Waltz

- Target version changed from 2013.10-Block.2.1 to 2013.33-Block.4.4

#6 - 2013-08-02 17:25 - Robert Waltz

- Parent task set to #3882

- Assignee changed from Chris Jones to Robert Waltz

#7 - 2013-08-02 18:19 - Robert Waltz

- Target version changed from 2013.33-Block.4.4 to 2013.37-Block.5.2
#8 - 2013-08-02 18:20 - Robert Waltz

- Estimated time set to 0.00

- Milestone changed from CCI-1.1.2 to CCI-1.3

#9 - 2013-08-15 19:16 - Robert Waltz

- Target version changed from 2013.37-Block.5.2 to 2013.33-Block.4.4

#10 - 2013-10-28 21:10 - Robert Waltz

- Target version changed from 2013.33-Block.4.4 to 2013.46-Block.6.2

#11 - 2013-10-28 21:11 - Robert Waltz

- Product Version set to 1.2.1

- Milestone changed from CCI-1.3 to CCI-1.2

#12 - 2014-01-06 18:45 - Chris Jones

- Target version changed from 2013.46-Block.6.2 to 2014.8-Block.1.4

#13 - 2014-01-06 23:09 - Robert Waltz

- Target version changed from 2014.8-Block.1.4 to 2014.6-Block.1.3

#14 - 2014-03-14 18:17 - Robert Waltz

- Target version changed from 2014.6-Block.1.3 to 2014.14-Block.2.3

#15 - 2014-06-26 22:01 - Robert Waltz

- Target version changed from 2014.14-Block.2.3 to 2014.28-Block.4.2

#16 - 2014-07-29 19:51 - Robert Waltz

- Product Version changed from 1.2.1 to *

- Milestone changed from CCI-1.2 to CCI-1.4

#17 - 2014-07-29 19:52 - Robert Waltz

- Target version deleted (2014.28-Block.4.2)

#18 - 2014-10-01 19:33 - Robert Waltz

- Target version set to Maintenance Backlog

#19 - 2014-10-01 20:28 - Robert Waltz

- Target version changed from Maintenance Backlog to Release Backlog

#20 - 2014-10-02 20:02 - Robert Waltz

- Target version changed from Release Backlog to CCI-2.1.0

#21 - 2015-10-15 19:58 - Robert Waltz

- Status changed from In Progress to Rejected

hzNodes has been factored out of Hazelcast for V2.
